$primary-font: "Open Sans";
$primary-color: white;
$green-color: #26C17E;
$red-color: red;
$main-theme-color: #222935;
$disabled: false;

%font-pattern {
    font-family: $primary-font;
    line-height: 120%;
    font-style: normal;
}

.form-container {
    display: flex;
    flex-direction: column;
    margin-bottom: 40px;
    border: 1px solid $green-color;
    border-radius: 5px;
    height: 100%;
    width: 100%;
}

.input-name {
    @extend %font-pattern;
    font-weight: normal;
    font-size: 14px;
    color: #000000;
    margin-top: 31.5px;
}

.input {
    width: 270px;
    height: 40px;
    margin-top: 20px;
    margin-left: 20px;
    border: 1px solid #667081;
    box-sizing: border-box;
    border-radius: 5px;
    padding-left: 10px;
    cursor: text;
}

.input:focus {
    outline: none !important;
    border: 1px solid $green-color;
}

.form-container_element {
    margin-left: 15px;
}

.submit-btn {
    width: 103px;
    height: 40px;
    background: $main-theme-color;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    margin-left: 15px;
    margin-top: 20px;
    margin-bottom: 20px;
}

.submit-btn:hover {
    background: $green-color;
}

.submit-btn span {
    @extend %font-pattern;
    font-weight: normal;
    font-size: 16px;
    color: $primary-color;
}

::placeholder {
    @extend %font-pattern;
    font-weight: normal;
    font-size: 12px;
    color: #667081;
}

.error {
    color: $red-color;
    position: absolute;
    margin-left: -360px;
    margin-top: 61px;
}


.submit-btn[disabled] {
    background-color: rgb(117, 116, 116);
    $disabled: true;
    .submit-btn__text {
        color: black;
    }
}

.form-container-flex {
    display: flex;
    flex-direction: column;
}

.field-flex {
    display: flex;
    flex-direction: row;
}

.red {
    border: 1px solid $red-color !important;
  }

.form-container_element {
    display: flex;
}

@media only screen and (max-width: 800px) {
    .input {
        width: 150px;
    }
    .field-flex {
        margin-right: 10px;
    }
    .submit-btn {
        width: 73px;
        height: 40px;
        margin-left: 15px;
        margin-top: 20px;
    }
    .error {
        margin-left: -240px;
    }
}

@media only screen and (max-width: 500px) {
    .input {
        width: 70px;
    }
    .error {
        margin-left: -160px;
    }
}